--******************************************************************************************************************************
--
-- Description: Model 376 product clock description.
--				Note: This package is common to all SigFPGA products, but tailored to the Model 376.
--					
-- Rev History: 03-31-2014:	Inital release.
--
--******************************************************************************************************************************

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

use work.model_specific_package.all;

package tb_package is
	
	type COUNTER_DATA is array (zero_to_one(RX_CHANNEL_COUNT) downto 1) of std_logic_vector(127 downto 0);
	
	-------------------------------------------
    -- Clock Constants
    -------------------------------------------
    constant USER_CLK_PD   	 : time := 4.00 ns; -- 250 MHz
    constant SYS_CLK_PD   	 : time := 10.00 ns; -- 100 MHz
    constant CLK200_PD   	 : time := 5.00 ns; -- 200 MHz
    constant SAMPLE_CLK_PD 	 : time := 0.625 ns; -- 1.6 GHz
    constant RX_CLK_PD 	 	 : time := 2.50 ns; -- 400 MHz
    constant TX_CLK_PD 	 	 : time := 0.0 ns; -- 0 MHz (No DACs on board.)

    -------------------------------------------
    -- BAR0 Constants
    -------------------------------------------
	constant BURST_SIZE			: integer := 4096;
    constant BURST_COUNT		: integer := 1;     
    
end tb_package;
    
                                     
